Name:           perl-POE-Component-Logger
Version:        1.00        
Release:        7%{?dist}
Summary:        A POE logging class 

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/POE-Component-Logger            
Source0: http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/POE-Component-Logger-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(POE) >= 0.11, perl(Log::Dispatch::Config) >= 0.10
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::Logger provides a simple logging component that uses
Log::Dispatch::Config to drive it, allowing you to log to multiple places at
once (e.g. to STDERR and Syslog at the same time) and also to flexibly define
your logger's output.

It is very simple to use, because it creates a Logger::log method (yes, this
is namespace corruption, so shoot me). If you don't like this, feel free to
post directly to your logger as follows:

  $kernel->post('logger', 'log', "An error occurred: $!");

All logging is done in the background, so don't expect immediate output -
the output will only occur after control goes back to the kernel so it can
process the next event.


%prep
%setup -q -n POE-Component-Logger-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.00-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.00-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.00-3
Rebuild for new perl

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.00-2
- bump for mass rebuild

* Sat Jul  8 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.00-1
- bump for release

* Fri Jul 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.00-0
- Initial spec file for F-E
